<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="profile-avatar">
                        <img alt="" *ngIf="employerDetails?.profilePic; else defaultProfilePic"
                            [src]="employerDetails?.profilePic">
                        <ng-template #defaultProfilePic>
                            <img alt="" src="assets/images/default-profile-picture.png">
                            <!-- <input type="file" name="imageUpload" value="" (change)="getSelectedImage($event)"> -->

                        </ng-template>
                  
                        <label>
                            <img src="assets/images/ic-camera.png">
                            <input type="file" name="imageUpload" value="" (change)="getSelectedImage($event)">
                            <!-- <p>Please Upload Compony Logo</p> -->

                        </label>
                    </div>
                   
                    <div class="complt-shft" *ngIf = "storedDetails['employerType'] != 'INDIVIDUAL'"> 
                        Upload Company Logo
                    </div>

                    <div class="complt-shft" *ngIf = "storedDetails['employerType'] === 'INDIVIDUAL'"> 
                        Upload Picture
                    </div>
                
                  
                    <div class="form-box">
                        <form [formGroup]="editProfileForm">
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Industry</label></div>
                                    <div class="col-8">
                                        <!-- <select class="form-control select-box" formControlName="industry">
                                            <option value="" disabled> Select Industry</option>
                                            <option value="{{industry.industryId}}"
                                                *ngFor="let industry of industryList ">
                                                {{industry.industryName}}</option>
                                        </select> -->
                                        <ng-select formControlName="industry"  [multiple]="true"
                                        [closeOnSelect]="false" [searchable]="false" 
                                        placeholder="Select Industry" dropdownPosition="bottom" (change)="selectIndustry()">
                                        <ng-option [value]='industry.industryId' *ngFor="let industry of industryList">
                                            {{industry.industryName}}
                                        </ng-option>
                                    </ng-select>
                                    </div>

                                    <div> 
                                        <!-- Error Messages -->
                                        <span class="col-8 help-block bottom fs12 text-left t-red"
                                            *ngFor="let validation of errors.industry">
                                            <span
                                                *ngIf="editProfileForm.get('industry').hasError(validation.type) && (editProfileForm.get('industry').dirty || editProfileForm.get('industry').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>


                                </div>
                            </div>
                            <div class="form-group" *ngIf="storedDetails['employerType'] === 'INDIVIDUAL'" >
                                   <!-- *ngIf="storedDetails['employerType'] === 'INDIVIDUAL' " --> 
                                <div class="row">
                                    <div class="col-4"><label>Name </label></div>
                                    <div class="col-8">
                                        <input type="text" class="form-control" formControlName="fullname"
                                            placeholder="Enter your name" (keyup)='name()'>
                                    </div>
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red"
                                        *ngFor="let validation of errors.fullname">
                                        <span
                                            *ngIf="editProfileForm.get('fullname').hasError(validation.type) && (editProfileForm.get('fullname').dirty || editProfileForm.get('fullname').touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="edit-list">
                        <ul>
                            <li *ngIf="storedDetails['employerType'] != 'INDIVIDUAL' ">
                                <a [routerLink]="['/employer/profile/edit/company-details']">Company Details</a>
                            </li>
                            <li><a [routerLink]="['/employer/profile/edit/address']">Address</a></li>
                            <li><a [routerLink]="['/employer/profile/edit/contact-details']">Contact
                                    Details</a></li>
                        </ul>
                    </div>
                    <div class="form-group text-center">
                        <input type="submit" (click)="submitProfileDetails()"
                            value="Submit" class="btn" >
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<router-outlet></router-outlet>